﻿using Syncfusion.Drawing;
using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Parsing;
using System;
using System.IO;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            // Creating source document to add footer
            PdfDocument doc = new PdfDocument();

            for (int pageIndex = 0; pageIndex < 100; pageIndex++)
            {
                doc.Pages.Add();
            }
            MemoryStream ms = new MemoryStream();
            doc.Save(ms);
            ms.Position = 0;

            // Add footer
            PdfLoadedDocument ldDoc = new PdfLoadedDocument(ms);
            for (int pageIndex = 0; pageIndex < ldDoc.PageCount; pageIndex++)
            {
                // Footer location in the page
                PointF footerLocation = new PointF(200, 600);
                PdfFont footerFont = new PdfStandardFont(PdfFontFamily.TimesRoman, 35);
                string pageNumberText = "Page " + pageIndex.ToString() + " of " + ldDoc.PageCount.ToString();
                SizeF footerDimension = footerFont.MeasureString(pageNumberText);

                // Footer content goes here
                ldDoc.Pages[pageIndex].Graphics
                    .DrawRectangle(PdfBrushes.Gray, new Syncfusion.Drawing.RectangleF(footerLocation, footerDimension));
                ldDoc.Pages[pageIndex].Graphics
                    .DrawString(pageNumberText, footerFont, PdfBrushes.Black, footerLocation);
            }

            using (var docStream = File.Create("Output.pdf"))
                ldDoc.Save(docStream);
        }
    }
}
